reSIDfp::FilterModelConfig Class Reference
Inheritance diagram for reSIDfp::FilterModelConfig:

## Public Member Functions

unsigned short ** | getGainVol ()
unsigned short ** | getGainRes ()
unsigned short ** | getSummer ()
unsigned short ** | getMixer ()
int | getVoiceScaleS11 () const
int | getNormalizedVoiceDC () const
unsigned short | getOpampRev (int i) const
double | getVddt () const
double | getVth () const
unsigned short | getNormalizedValue (double value) const
unsigned short | getNormalizedCurrentFactor (double wl) const
unsigned short | getNVmin () const

## Protected Member Functions

| FilterModelConfig (double vvr, double vdv, double c, double vdd, double vth, double ucox, const Spline::Point *opamp_voltage, int opamp_size)

## Protected Attributes

const double | voice_voltage_range
const double | voice_DC_voltage
const double | C
| Capacitor value.
const double | Vdd
| Transistor parameters.
const double | Vth
| Threshold voltage.
const double | Ut
| Thermal voltage: Ut = kT/q = 8.61734315e-5*T ~ 26mV.
const double | uCox
| Transconductance coefficient: u*Cox.
const double | Vddt
| Vdd - Vth.
const double | vmin
const double | vmax
const double | denorm
const double | norm
const double | N16
| Fixed point scaling for 16 bit op-amp output.
const double | currFactorCoeff
| Current factor coefficient for op-amp integrators.
unsigned short * | mixer [8]
| Lookup tables for gain and summer op-amps in output stage / filter.
unsigned short * | summer [5]
unsigned short * | gain_vol [16]
unsigned short * | gain_res [16]
unsigned short | opamp_rev [1<< 16]
| Reverse op-amp transfer function.

## Constructor & Destructor Documentation

## FilterModelConfig()

reSIDfp::FilterModelConfig::FilterModelConfig | ( | double | vvr,
|  | double | vdv,
|  | double | c,
|  | double | vdd,
|  | double | vth,
|  | double | ucox,
|  | const Spline::Point * | opamp_voltage,
|  | int | opamp_size
| ) |  |

protected

Parameters

  vvr | voice voltage range
  vdv | voice DC voltage
  c | capacitor value
  vdd | Vdd
  vth | threshold voltage
  ucox | u*Cox
  ominv | opamp min voltage
  omaxv | opamp max voltage

## Member Function Documentation

## getNormalizedVoiceDC()

int reSIDfp::FilterModelConfig::getNormalizedVoiceDC | ( |  | ) | const

inline

The "zero" output level of the voices.

## getVoiceScaleS11()

int reSIDfp::FilterModelConfig::getVoiceScaleS11 | ( |  | ) | const

inline

The digital range of one voice is 20 bits; create a scaling term for multiplication which fits in 11 bits.

The documentation for this class was generated from the following files:

- FilterModelConfig.h
- FilterModelConfig.cpp